
Figure - 开发 Dev #112099
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 112093 (New): 【MK】【电子电气零部件环境可靠性实验ClassC】实现汇总

【MK】【MCU】MCU功能实现
2022-09-22 14:03 - CD TPM-申艳艳

Status: New Start date: 2022-09-22

Priority: Normal Due date:

Assignee: CD BSP-陈杰 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

MCU 针对电子电气零部件环境可靠性实验ClassC 要求的实验

History

#1 - 2022-11-07 15:42 - CD BSP-陈杰

- % Done changed from 0 to 100

#2 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152609 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on

and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:

1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

Iacb3bbd40b9278405f21f5d34d741dfe08c3c4ff

#3 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader
152787 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is V0.0.1, which is the initial version. Implementation function:1.

Increase the power-on sequence2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:

1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

I047b1483f36d87a7a080b1470eb836cbc620a06e

#4 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154928 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase

theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen
is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions.TC-RID:

1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID:

TS-R-BUG-112002IssueID: TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID:

TS-R-DF-110664Change-Id: I0c7022c0c6e09e54f1b390deb1fb0df27ece4a38

#5 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155979 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add MCU functionsAdd the following:1. Added the function of MPU boot completion issuance command,used to determine whether the MPU is

started to complete, thisfunction is used to modify the logic of the system not startingto complete；2. Add the function of the MCU entering deep sleep after

theoverall power-down.Bin version: V0.0.1TC-RID: 1201-0102704IssueID: TS-R-DF-112099Change-Id: I1b01e7716073cda169a5072195d5a802c51897e1

#6 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157431 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP: MCU: Add MCU functionsAdd the following:1. Added the function of MPU boot completion issuance command,used to determine whether the MPU is

started to complete, thisfunction is used to modify the logic of the system not startingto complete；2. Add the function of the MCU entering deep sleep after

theoverall power-down.Bin version: V0.0.1TC-RID: 1201-0102704IssueID: TS-R-DF-112099Change-Id: I4db7231096a98861dfa5d4cc91ebfaeca40ed585

#7 - 2023-03-01 09:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

155988 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
BSP: MCU: Add boot code management for later viewingAdd boot code management to facilitate later code viewing.TC-RID: 1201-0102704IssueID:

TS-R-DF-112099Change-Id: If2fcb5bc52db896b9cfe994584388fde64f7ae11

#8 - 2023-03-01 10:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184983 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP: MCU: Add boot code management for later viewingAdd boot code management to facilitate later code viewing.TC-RID: 1201-0102704IssueID:

TS-R-DF-112099Change-Id: I2b23bd2fd268f20cf109a68c44dc59587f9d0ab5

#9 - 2023-03-06 15:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185248 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add wtd in bootAdd wtd code in boot code.TC-RID: 1201-0102704IssueID: TS-R-DF-112099Change-Id:

I089ff186dec02f0bd2b3dad61da723985cda2098

#10 - 2023-03-07 16:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185321 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add door dog function in the APPAdd watch dog function in the APP area to avoid programs from running.Bin version: V0.1.1TC-RID:

1201-0102704IssueID: TS-R-DF-112099Change-Id: I8a2337cdfaab983d4b1fb1adf4ab80ee794e5037

#11 - 2023-03-07 23:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186232 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com
BSP: MCU: Add door dog function in the APPAdd watch dog function in the APP area to avoid programs from running.Bin version: V0.1.1TC-RID:

1201-0102704IssueID: TS-R-DF-112099Change-Id: I439d15097485447ee6e69d011ef8f3d655036ffd

#12 - 2023-03-28 18:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190357 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_v7.5

wangxl0510@thundersoft.com

BSP:MCU:Modify KL15 logic to wakeup MCURemove wakeup function of CAN, only check KL15.Bin version: V0.1.2TC-RID: 1201-0102704IssueID:

TS-R-DF-112099Change-Id: I4eba90a49681b21d2e133ccb511c360b20d2b6c6
